/**
 * @file getLessLoader
 * @author WenCe
 */
import getCssLoader from './getCssLoader';
const lessRegex = /.less$/;

export default function getLessLoader() {
    return ({
        test: lessRegex,
        use: getCssLoader.getStyleLoader({
            loader: require.resolve('less-loader'),
            options: {
                lessOptions: {
                    javascriptEnabled: true
                }
            }
        })
    });
};
